Update Domain
curl --request PATCH \
--url https://api.example.com/domains/{identifier} \
--header 'Content-Type: application/json' \
--data '
{
"config": {},
"tracking": {}
}
'import requests
url = "https://api.example.com/domains/{identifier}"
payload = {
"config": {},
"tracking": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({config: {}, tracking: {}})
};
fetch('https://api.example.com/domains/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Domains
Update Domain
Update domain configuration
Update Domain
Description
Update the configuration of an existing domain.Parameters
Domain ID or name.
Domain configuration:
sending(boolean): Enable/disable sendinginbound(boolean): Enable/disable receiving
Tracking settings:
open_tracking(boolean): Track opensclick_tracking(boolean): Track clicks
Response
Updated domain ID.
Examples
curl -X PATCH https://api.usesendly.app/v1/domains/mail.yourdomain.com \
-H "Authorization: Bearer se_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"tracking": {
"open_tracking": true,
"click_tracking": true
}
}'
await client.domains.update('mail.yourdomain.com', {
tracking: {
open_tracking: true,
click_tracking: true
}
})
console.log('Tracking enabled')
import { Sendly } from '@sendlyapp/sdk'
const client = new Sendly()
await client.domains.update('mail.yourdomain.com', {
config: {
sending: true,
inbound: false
}
})
Need help? Contact support@usesendly.app
⌘I